Benefits of True Launch Bar

True Launch Bar is a superior replacement for the standard Quick Launch bar. All functions presented in Quick Launch are also available in True Launch Bar. True Launch Bar is fully compatible with Quick Launch since it uses the same folder for its shortcuts. Still, there is one huge difference, True Launch Bar allows combining your shortcuts into groups, which appear as popup menus. This vastly improves your shortcut management capabilities and saves work space on your desktop. By using True Launch Bar, you speed up launching your applications as never before.

True Launch Bar offers many flexible settings. You may configure it just any way you like. The "Auto popup menus on mouse over" option (with customizable timing) lets you run shortcuts within a single click. Large icons will make your work more comfortable on the high resolution screens. Finally, the unique "Run shortcuts on mouse over" option allows running your shortcuts without even clicking on them.

True Launch Bar fully supports the Windows' Drag-n-Drop technology. You can easily create new popup menus by simply right-clicking on True Launch Bar and selecting Create menu. Having created the new menu, you can simply drag the shortcuts to this new submenu.

Use hotkeys to launch applications with True Launch Bar. Adding separators to True Launch Bar will help you group shortcuts within a menu and on the toolbar.

Control Panel, Printers, Network... or any other folder, now you can place them to True Launch Bar. Simply right-click on the toolbar space, select New and create a Virtual Folder. You can control items inside the Virtual Folders by using the shortcut menu, just like in the Explorer window. Try right-clicking on a printer and selecting Properties. Here you are!!! Add your Favorites folder to True Launch Bar and if you add or delete a link within Favorites, the change will take effect in True Launch Bar also.

True Launch Bar supports plug-ins. Plug-ins allow extending True Launch Bar and adding buttons with dynamic content.

True Launch Bar features include:

  • Compatibility with the standard Quick Launch (unique)
  • Grouping links into popup menus
  • Full support of Windows XP Visual Styles
  • Virtual Folders (unique)
  • Separators
  • Improved separators (unique)
  • The Recently accessed button
  • Thumbnails View (unique)
  • Drag & Drop support
  • Hot keys
  • Running shortcuts without a click (unique)
  • Skins support
  • Fast switching of toolbars (unique)
  • Related Links (unique)
  • Protection (unique)
  • Changing appearance of buttons
  • Plug-ins (unique)
  • Support of Windows XP-style icons (unique)
  • ...and much more!


System requirements

True Launch Bar can be installed on following operating systems:

  • Windows™ XP
  • Windows™ Vista
  • Windows™ 7

True Launch Bar supports both 32-bit and 64-bit Windows™.

Notes:

Other system requirements (like processor, memory, etc.) are the same as for you operating system. Please refer to Windows Help for more information.


Starting True Launch Bar

True Launch Bar uses the same methods as does the standard Quick Launch bar. To launch (open) TLB, right-click on the task bar, then select the “Toolbars” submenu, and then click on the “True Launch Bar…” item.

True Launch Bar started for the first time contains all the Quick Launch bar shortcuts, so Quick Launch bar can be now disabled. Unfortunately, the size and position of the icons may slightly differ from size and position of icons within Quick Launch bar.

Opening additional toolbars

The True Launch Bar software allows opening more than one toolbar simultaneously, in different parts of the taskbar and beyond.

To open an additional toolbar:

  • Right-click on the taskbar.
  • On the shortcut menu that appears, point at Toolbars and then select the True Launch Bar… item. Make sure you select the item that ends with three periods and is not marked with the checkmark.
  • In the Open new True Launch Bar window that appears, select the toolbar to be opened and then click OK to complete or Cancel to abort the action.

Toolbars are defined in the True Launch bar settings. To access the TLB settings, right-click on any TLB item and on the menu that appears select TLB Settings. You can also select a toolbar folder to appear on the new toolbar: in the Open new True Launch Bar window, select the folder and then click OK to complete or Cancel to abort the action.


Basic methods of using True Launch Bar

We have tried to use the most common interface items in True Launch Bar, so, you shouldn’t face great difficulties setting up and using it. All the settings are available through the context menu. Simply right-click on the toolbar to open the context menu. The content of the context menu depends on the object you clicked on; however, there are common menu items too. You should also be aware that the content of the context menu can be defined in the settings. To open the complete context menu, bypassing the custom definitions, hold down the CTRL+SHIFT keys on the keyboard while right-clicking on the object.

The second major technology adopted in the program is Drag&Drop. You can drag any object to just about any place on the toolbar or on the menu. You can even create new shortcuts using Drag&Drop. Both the left and the right mouse buttons can be used for dragging objects. When the right mouse button is used, True Launch Bar will show the menu of the applicable actions when the mouse button is released.

While you are dragging an object, True Launch Bar will mark the position where the object will be placed with a special marker. If the marker is not being displayed, it means that True Launch Bar will run the selected shortcut and pass the dragged file as a parameter. If you select a folder or folder shortcut, the file will be copied / moved to the selected folder. This feature can be used, for instance, to open some text file with Notepad – just drop the file to be opened on the Notepad shortcut.

Please note the events the insertion marker appears for. For the regular menus, the insertion marker appears when you are carrying an object over the top or bottom edge of the menu item. If the menu is in the Icons Only or Icons with Text view mode, the marker will appear when you are carrying an object over the left or right edge of the menu item, for that is where it will be inserted even if the menu has only one column in it.


True Launch Bar objects

All objects that appear on the toolbar or menus are buttons. Here is the list of the most common button types.

  • Shortcuts and files are the primary button types. Clicking on a shortcut or file button normally launches the corresponding application.
  • Menus – menu or folder – may contain any objects, including other menus. The level of nesting and the number of objects within a menu are not limited.
  • Separators are a special button type, which appears as a vertical or horizontal separator bar. Separators can be used for grouping buttons within a menu. Besides that, when menu buttons are sorted, the sorting will apply only to groups of items limited by the separators.
  • Titles are separators with text.
  • Plugins are special buttons that extend True Launch Bar’s capabilities. Plugins can be both menus and regular buttons. The content and functionality of the buttons depend on a particular plugin.

All True Launch Bar objects, except for separators and titles, are files physically. Those files are located in the special folder called the toolbar folder. To find out where the folder is located, unlock the toolbar, then right-click on the toolbar separator on the left and then select “Open” on the menu that appears:

A toolbar folder contains all the toolbar settings, shortcuts, plugins, and menus. Some files in the folder are hidden. If you want to see those files, you will need to enable showing hidden files in Windows Explorer settings.

You can also move any object from the toolbar to any other folder using the Drag&Drop technique.


Creating shortcuts using Drag&Drop

To create a shortcut on the toolbar, just drag it to the True Launch Bar toolbar. The regular Drag&Drop rules are applicable:

Holding the SHIFT key pressed while dragging a file/folder – TLB will move the file/folder to the toolbar. The original file/folder will be deleted.

Holding the CTRL key pressed while dragging a file/folder – TLB will copy the file/folder to the toolbar. The original file/folder will be preserved.

Holding the ALT key pressed while dragging a file/folder – TLB will create a shortcut to the original file. The original file/folder will be preserved.

You can also drag files/folders by holding down the right mouse button. When you release the mouse button, TLB will let you choose what is to be done next:

  • Copy Here – will copy the file/folder to the toolbar.
  • Move Here – will move the file/folder to the toolbar.
  • Create Shortcut(s) Here – will create a shortcut to the file/folder on the toolbar.
  • Create Menu Here – will create a virtual folder, i.e. menu reflecting the content of the folder being dragged. This command is only applicable to folders.
  • Cancel – cancels the drag action.


Creating shortcuts using the context menu

Another way to create shortcuts is using the context menu. Right-click on the TLB toolbar, then point to “New”, and then click on the “Shortcut” item. You will see the Windows standard shortcut creation dialog:

Follow the instructions on the screen to complete the creation of the shortcut.


Creating separators

Separator is a special button type that appears as a vertical or horizontal bar on the toolbar or menus. To create a separator, right-click on the TLB toolbar or on a menu, then point to “New”, and then select “Separator” on the menu that appears. The separator will be created before the button you had right-clicked on. If you want to create a separator with text, select the “Title” item on the menu during the creation. After you have entered the title text, TLB will create a separator with that text. Separators, just like any other buttons, can be grabbed and dragged with the mouse.


Creating plugins

To create a plugin, right-click on the TLB toolbar or on a menu, then point to “New”, and then select the item with the plugin name on the menu that appears. True Launch Bar will let you enter the file name and configure the plugin. That will complete the creation of the plugin. Since plugins appear to be the regular buttons, you can also grab and drag them with the mouse. You can even copy/move plugins to any folder on disk or to Desktop. True Launch Bar will create a file with the “.tlbplugin” extension. That file can be placed back on the toolbar; that will create the plugin button on the toolbar.


Deleting objects

Any object can be removed from True Launch Bar. To remove an object, right-click on the object to be deleted and then select “Delete” on the menu that appears. When True Launch Bar deletes files, it places them to Recycle Bin; that will let you restore the deleted files when you need to do that.

IMPORTANT! Deleting files from True Launch Bar virtual folders deletes the files from your disk (moves to the Recycle Bin) physically. Use “Hiding Objects” to delete a file from the menu and yet preserve it on disk.


Hiding objects

To hide a button, right-click on the object to be hidden and then click “Hide”.

Unlike with the deletion, hiding True Launch Bar objects does not physically delete them from disk; instead, the objects are simply marked as “hidden”. You can unhide a hidden object at any time by using the “Show Hidden” item on the context menu. The “Show Hidden” submenu displays the list of hidden objects. Clicking on an object on the list will return that object back to the menu. You can also show all the hidden objects by clicking on the “Show All Hidden” menu item.


Menus

Menu is the primary feature of True Launch Bar. You can create menus of any complexity and dimensions. All True Launch Bar menus belong to one of these two types:

Regular menus. TLB creates the regular menus on the toolbar. The content of the menu loads when the toolbar is run (when the system starts.) This menu type is perfect for shortcuts to frequently used programs and for plugins.

Virtual folders. These menus display the content of any folder on your computer as a menu. That can be “My Documents”, “My Computer”, “Control Panel” or any other folder. The content of the virtual folders loads only when you access to the virtual folder menu for the first time. That will take some time during the first time you open it. However, that saves the system startup time and saves the CPU resources. If you want the content of a virtual folder to load when TLB is run, right-click on the virtual folder, then select the “Appearance” item, and then enable the “Load on Startup” option.


Creating menus

To create a new menu, right-click on the TLB toolbar or on another menu, then point to “New”, and then click on the “Menu” item. The menu creation wizard will not only help you create a new menu but also help you set the basic options for it.

On the first page of the wizard, enter the menu title. The title must comply with the file naming rules, i.e. in the titles you must not use these characters: \ ? / | : * > <.

To create a virtual folder, click on the “Browse…” button and then select the folder, the content of which you want to see as menu. You can also type the full path to the folder in the edit box. Or you can click on the “Predefined” button to select one of the predefined folders on the list that appears:

Clicking on any of these menu items will fill in the name fields and folder paths with the necessary values.

If you want to leave the rest of the settings unchanged, simply click “Finish”. Or click “Next” to edit the other menu options.

On the next page, choose the view mode and the number of columns to appear on the menu.

Next, select the size for the menu items (see also Icon Sizes ).

To complete the creation of a new menu, click Finish. At any moment, you can also click “Cancel” to decline the creation of a new menu.


Icon sizes

True Launch Bar supports all icon sizes. By default, it will let you use the “Large icons” and “Small icons” only. TLB can also display menus with no icons or display thumbnails instead of icons. To enable other icon sizes, open “TLB Settings…” and then open the “Icon Sizes” tab. On this tab, you can edit sizes for the large and small icons and add other sizes. Please note: TLB only supports square icons (with the same width and height.). Please keep in mind that the standard icon sizes include 16x16, 32x32, and 48x48. Some icons support the sizes of 64x64, 92x92, and 128x128. The icon image can be distorted if you choose a non-standard icon size.


View modes

Menus in True Launch Bar can be of the following four types.

Default

This is the regular view mode used by default. All items of the menu are listed from top to bottom and from left to right. If all items of a menu cannot fit in one column, the scrollbar will appear. If the number of columns allowed for the menu is greater than one, the program will fill the first column from top to bottom, then the second one, and so on. If the content of a menu can fit in a single column, the other columns will not be displayed.

Icons only

When this view mode is selected, True Launch Bar will show icons only. It is recommended that you set the number of columns more than one for the “Icons only” mode. The columns will be filled from left to right and from top to bottom. True Launch Bar will always create as many columns as it is set in the menu settings.

Icons with text

This view mode is completely identical to “Icons only”, except that in this mode TLB will show text labels below each icon.

Multicolumn text menu

This view mode is identical to the default view mode, except that TLB will always try to arrange menu items in multiple columns. If you set the number of columns in the settings to one, this view mode will be completely identical to the default view mode.


Arranging menus

Any menu can be arranged by one of these terms:

  • Name
  • Type
  • Size
  • Created
  • Modified
  • Last Run Time
  • Runs Count

The by-name arrangement has the priority; i.e. if two items have the same other terms (type, size, etc.) they will be arranged by name. Also, all folders will also be arranged by name and appear on the top of the menu by default. To apply the arrangement to folders too, enable the “Apply to Folders” option. You can also enable the Descending mode to have menu items arranged in the reverse order.

The arrangement can be enabled through the context menu or in the menu settings dialog.


Inheritance of settings

When used for the first time, submenus inherit settings from their parent menus. However, you can also make individual settings to be inherited by the submenus. If you have edited a submenu settings, the default inheritance will no longer work for them. In this case, to configure all the submenus, enable the “Overwrite submenu options” setting, and the submenu settings will be overwritten.


Customizing menu

To customize a menu, right-click on the item to be customized and then select the “Customize Menu…” item:

Here you can choose the tabs with the settings on the left.

Options

  • View Mode – Menu appearance, described in detail in chapter View Modes
  • Icons Size – Icons size
  • Arrange – Arranging icons
  • Maximum/Minimum menu width/height, Maximim menu height – Menu dimensions limits. The zero values will reset the menu to the default dimensions.
  • Show menu caption – Disable or enable menu title.
  • Disable tips – Enable or disable tips for all menu items.
  • Docking point – Location of the point to attach the menu to.
  • Menu align – Menu alignment related to Docking point.

The “Docking point” and “Menu align” settings allow you to create truly innovative combinations of menus:

The following settings were used in this example:

First-level menu:

  • View Mode: Icons only
  • Columns: 1
  • Docking point: default
  • Menu align: default

Second-level menu:

  • View Mode: Icons only
  • Columns: 4
  • Docking point: default
  • Menu align: default

Third-level menu:

  • View Mode: Icons only
  • Columns: 1
  • Docking point: Left-Bottom
  • Menu align: Left-Top

Overlay image

Overlay image is displayed under all menu items. The transparency of the image, its position within a menu, and its dimensions are up to you. It is not recommended that you use overlay images with no transparency. Please note that using overlay images may affect the performance. Although it makes the menus look really pretty.

We will now take a closer look at overlay image settings:

  • Image file – Full path to overlay image file. You can type the path by hand or click on the “Browse…” button and select the file in the explorer window that appears. True Launch Bar supports the most popular image types: BMP, PNG, JPEG, and GIF.
  • Transparency – The slider sets the transparency of the image.
  • Horizontal alignment – Horizontal position of the image. May be set to: left, right, and center.
  • Vertical alignment – Vertical position of the image. May be set to: top, bottom, and center.
  • Horizontal stretch – Stretch image horizontally.
  • Vertical stretch – Stretch image vertically.
  • Constrain Proportions – Preserve image ratio during stretching. This setting is ignored if neither Horizontal nor Vertical stretch is enabled.

As it was mentioned already, using overlay images can negatively affect the performance. This is especially true when you apply stretching.

True Launch Bar can save overlay image with the toolbar if the “Save image with toolbar” option is enabled. When the image is saved with the toolbar, the image file will be copied to the toolbar folder. Later on, you can select that image on the popup list. The image is also preserved when the toolbar is backed up or restored.

Filtering folder

The content of any virtual folder can be filtered by a number of terms. You can set a mask for files to be shown or hidden by TLB. You can also select the files that were created or modified within a specific number of days. There are two types of filtering available.

Permanent filtering (Apply filter to all new files/folders enabled). With the permanent filtering enabled, TLB will always filter the applicable files, and the menu will have no hidden files.

Temporary filtering (Apply filter to all new files/folders disabled). With the temporary filtering enabled, TLB will only hide files that do not meet the filtration terms. This happens only once. The filtration will not be applied to the new files. Moreover, TLB will set the “Hidden” attribute on all files that do not meet the filtration terms, and you can unhide a necessary file at any time by toggling the “Show hidden” option.


Tear Off Menus

Tear Off menus are the menus with the free position. You can place the menu at any point on the screen, or set up menu to appear in the mouse poiter. To create Tear Off menus right-click inside menu and select "Tear Off Menu", or press CTRL+T when menu is opened. Now you can drag menu like other windows by the menu caption. Please note that you must to turn on the menu captions in the TLB Settings or in Customize menu dialog boxes.

When you make Tear Off menu you get the additional options in the context menu:

Close menu

This context menu item closes the Tear Off menu. Also you can close menu by usign ESC keyboard key or with the caption button.

Always On Top

Menu will be on top of other windows.

Popup at Cursor

Tear Off menu will appear at the mouse cursor position. This option is usefulwhen you plan to open the Tear Off menu with the hotkey.

Auto-close menu

If this option is turned on, then True Launch Bar will close menu automatically when you run something or activate other window. Otherwise menu will stay on screen.


True Launch Bar Settings

All True Launch Bar settings are gathered in a single settings window, True Launch Bar Settings. To view/edit the settings, open the True Launch Bar context menu and then select the “TLB Settings...” item.

The pages with the various settings are shown on the left of the window, and the right part of the window displays the actual settings for the selected page. When you are done editing, click “OK” to save changes and close the settings window. Clicking “Apply” will save and apply the changes, but the settings window will remain open.


Options

Options page

This page contains a number of the basic settings and utilities.

“Profiles” shortcut

Profiles are used to quickly move identical settings between different toolbars and quickly switch between the settings. Clicking on the button will open this menu:

“Save current settings to a new profile...” saves current settings to a new profile or overwrites an existing profile. True Launch Bar will open the dialog window where it will ask you to enter the new profile name.

“Organize profiles...” allows deleting profiles that you no longer need.

This will open the list of all available profiles. Selecting a profile on this menu will instantly load it to the toolbar.

“Backup” and “Restore” shortcuts

Clicking on the “Backup” shortcut will open the backup wizard. You can create any number of backups. The backup will create a file with the “.tlbbackup” extension. This file will contain all of the toolbar objects, except the content of the virtual folders, and all of the toolbar settings. Please note that if you have changed some objects’ icons or set overlay images, True Launch Bar will normally not save them in the backup file. If you want your icons and overlay images to be saved in the backup file, you must enable the “Save with toolbar” option when you change the icons and / or overlay images. Thus, True Launch Bar will copy the necessary files to the toolbar folder and add them to the backup file when it is created.

The “Restore” shortcut opens the Restore from Backup wizard, where you will be asked to select a backup file.

IMPORTANT! Restoring a toolbar from backup, will remove all the toolbar content and replace it with the backup data. If you have made any changes since the last backup operation, those changes will be discarded.

“Check for Updates” button

Clicking on this button will launch True Launch Bar Components Manager, which will help you check for updates and install the latest True Launch Bar and its components. You can also use the manager to delete unnecessary components.

Language

Select the True Launch Bar interface language. You can add new languages by downloading language packs from True Launch Bar website or via True Launch Bar Components Manager.

Use global settings

All toolbars will have the same settings when option Use Global Settings is enabled. When settings of one of the toolbars are changed, the settings of all the others will automatically change too.

Note: Global settings will not be saved when a backup copy is created.

Other Settings

The Options page contain some tabs with other settings:

  • Skins
  • General
  • Locking
  • Protect
  • Icon Sizes
  • Toolbars


Skins

Skins tab

On this tab, you can select a skin for True Launch Bar and set additional skins for the program.

Skin name

The complete list of installed True Launch Bar skins. You can select any skin. The “Author” field will show the skin author’s name. To preview the skin, click on the “Preview” link, which will open the preview window.

Apply skin to

You can apply the selected skin to menu (Menu) – change appearance (background) of the menu and its items – or to toolbar (Toolbar) – change appearance of the toolbar and its buttons. The skin will apply to menu captions and separators at all times.

Installing skins

You can download new skins from our website: http://www.truelaunchbar.com/skinslib/

To install a new skin, click on the “Install Skin...” button and then follow the skin installation wizard’s instructions.

Skins can be installed for True Launch Bar or any of its plugins alike. When the installation is complete, you will see the new skin in the “Skin Name” field.


General

General tab

Load virtual folders in background

Loading virtual folders in background will let you avoid the temporary lockout of the taskbar while a virtual folder with large number of files is loading. If this option is disabled, the taskbar will be unavailable while True Launch Bar is reading the content of the folder. Sometimes that time can be quite long, especially with the large folders. If you enable loading virtual folders in background, True Launch Bar will display “Loading folder content…”, but you will be able to close the menu being loaded and continue using other menus while the content is loading.

Enable Accelerators

Accelerator is a letter or character to be used for accessing an item instantly; that letter or character is underlined. To access an item with an accelerator, you will need to press the ALT+accelerator shortcut. To create an accelerator for a menu item, just rename it and add the & character before the accelerator letter.

Example:
Rename “Microsoft Word” to “Microsoft &Word”, and True Launch Bar will display that button as “Microsoft Word”. Thus, you will be able to launch Word instantly by simply pressing the ALT+W shortcut on the keyboard.

To add the & character to an item name, just add another & character, i.e. type “&&”.

Do not change file type at rename

This option enables or disables changing file type (extension) when a file is renamed. When this option is enabled, True Launch Bar will only ask you to enter the file name during renaming, and the extension of the file will remain unchanged.

Rename items in-place if possible

Turn this option on to rename menu items and toolbar butons inside menu/toolbar. If this option is off then TLB will show the dialog box, where you can enter new name.

Expand shortcuts to folders

This option is available to virtual folders only. When it is enabled, shortcuts to the default folders are expanded to menus. Anyway, you can explicitly enable or disable expanding a shortcut to menu for each individual shortcut through the context menu. Thus, you can create virtual folders within other virtual folders.

Process WIN key

This option works jointly with our freeware utility, StartKiller (http://www.tordex.com/startkiller). StartKiller removes the Start button from the taskbar. If the “Disable Start Menu” option in StartKiller is enabled, it will redirect the WIN key press to True Launch Bar with enabled “Process WIN Key” option, and True Launch Bar will open the first menu on the toolbar. Thus, you can emulate the Start menu and manage its behavior.

Save icons with toolbar

Enables saving icons and overlay images with the toolbar by default. When this option is enabled, True Launch Bar will save icons with the toolbar by default.

Number of programs on the Recent menu

The Recent menu is a special menu that registers shortcuts to programs and documents launched through True Launch Bar. This parameter allows you to specify the maximum number of shortcuts that may appear on the Recent menu.

Show hidden files

This setting allows managing the showing and hiding of the “hidden” files in virtual folders. It may accept the following values:

Default: True Launch Bar will use Windows settings and show hidden files the way they appear in Windows Explorer.

Always: True Launch Bar will always show hidden files.

Never: True Launch Bar will never show hidden files.


Locking

Locking tab

This tab allows managing the locking of buttons on the toolbar and within menus:

Lock buttons

Locks all objects on the toolbar and within menus. Objects cannot be moved while they are locked.

Allow locking from context menu

Adds the “Lock Buttons” item to the context menu.

Ask settings password

If the settings password is enabled, selecting this option will have True Launch Bar ask you to enter the password when you attempt to lock or unlock buttons.

Allow locking for single folder

If this option is disabled, buttons will be locked on both all menus and the toolbar. Enabling this option will let you lock buttons for menus and the toolbar individually.


Protect

Protect tab

This feature allows setting a password to protecting your True Launch Bar settings. The same password is to be entered twice. Once the password is set, True Launch Bar will prompt you to enter the password every time you attempt to open the settings window. If you enter an incorrect password, True Launch Bar will deny access to the settings window.


Icon Sizes

On this tab, you can set sizes for the large and small icons.

Small icons size

The default size for a small icons.

Large icons size

The default size for a large icons.

Additional Icon Sizes

Use the “Additional Icon Sizes” group to add custom sizes. Click on the “New” button to add a new icon size. To delete a size, select the size to be deleted on the list and then click “Delete”.

True Launch Bar supports all icon sizes. The icons can be of the square shape only (with the same width and height.) Although you may set any size for your icons, it is recommended that you use the standard sizes: 16x16, 32x32, 48x48, 128x128 and 256x256. For the non-standard sizes, True Launch Bar will select the closest size and stretch the image. This may cause the loss of the image quality.


Toolbars

Toolbars tab

On this tab, you can define additional True Launch Bar toolbars. To create a new toolbar, click on the “New” button. In the folder selection dialog that appears, select the toolbar folder that contains the necessary shortcuts and settings and then click “OK”. If you want to delete an existing toolbar, select it on the list and then hit “Delete”. Please note: when a toolbar is deleted, all files in its folder remain intact. If a deleted toolbar is currently open, it will remain open, and you will have to close it manually if that is necessary. Clicking on the “Activate” button will replace the current toolbar with the new toolbar content.

In the “Name” field, you can set the toolbar name. In the “Path” field, you can set the full path to the toolbar folder.

The new toolbar will appear on the context menu, within the “Switch Toolbar” item, so you can switch current toolbar to the new folder instantly.


Toolbar

Toolbar page

This page contains the settings that define the behavior and appearance of the panel and buttons on it. The Toolbar page contain some tabs with the settings:

  • General
  • Appearance
  • Colors and Fonts
  • Sizes


General

General tab

Hide toolbar title

By default, all Windows toolbars have a title.

There are two ways to hide this title:

  1. Right-click on the title and then select the “Show Title” item on the menu that appears (toolbar must be unlocked under Windows XP/Vista/7.)
  2. Enable the “Hide toolbar title” option. From now on, the toolbar will always appear with no title.

Lock toolbar

This option is useful for toolbars positioned on the taskbar. By default, all Windows toolbars can be dragged with the mouse – just grab a toolbar at its blank area. Sometimes that may create problems, since a toolbar can be moved by accident. To prevent that, enable the “Lock toolbar” option.

Disable double-click for toolbar buttons

By default the double click on toolbar button will open menu in Windows Explorer or run the shortcut. If enabled this option disable the double click on toolbar buttons.

Same width for all buttons with text

If buttons have text labels, the width of all standard buttons with text will be the same and will depend on the length of the longest text. True Launch Bar will show the buttons the same way when the “Same width for all buttons with text” option is enabled:

If this option is disabled, the width of each button will depend on the length of its text only:

This will let you save the toolbar space significantly.

Activate toolbar hotkey

With this hotkey you can activate the toolbar and use the keyboard to navigate through the toolbar buttons or menus.

Default alignment

This option allows managing the position of buttons on the toolbar in case the height (width for the vertical toolbars) is greater than what is necessary for placing the buttons. The following values may be set in this option:

Top/Left:

Center:

Bottom/Right:

Minimum size

With this option, you can set the minimum number of buttons to appear on the toolbar. If you want to see all the buttons on the toolbar at all times, set a greater value. This is especially useful if the toolbar contains plugins that may vary their sizes along the course of their performance.

Sizing step

This is for how many pixels the toolbar height (width for the vertical toolbars) will change. It is normally enough to set this parameter to 0 (zero) in order to have True Launch Bar set the best value automatically. However, if you are using the non-standard themes under Windows XP, you may face difficulties creating multiple-line toolbars. In this case, set this parameter to a non-zero value; for instance, 1, 2, etc. and find the best setting value for your system.


Appearance

Appearance tab

Show arrow on menu button

This option toggles showing or hiding arrows on the menu buttons positioned on the toolbar:

Buttons with arrows | Buttons without arrows

Overlay image

Path to overlay image file. You can type the path by hand or click on the “Browse…” button and select the file in the explorer window that appears. True Launch Bar supports the most common image types: BMP, PNG, JPEG, and GIF.

You can enable the “Save image with toolbar” setting to save the image in the toolbar folder.

Draw method

This preference defines how the overlay image is to be drawn. The following three methods are available.

Draw at position: the image will be drawn with no changes at the position set by the “Image position” value.

Stretch: the image will be stretched to the toolbar boundaries.

Tile: the toolbar will be filled with the image.

Image position

These options define the overlay image position on the toolbar when the “Draw Method” is set to “Draw at position”. “Image position” may accept one of these values: Center, Left (top), or Right (bottom). The values in the parentheses are given for the vertical toolbars.

Toolbar transparency

You can set transparency ratio for the toolbar. To set the transparency, check the box by the “Use transparency” option and then grab and drag the slider until the desired transparency is set. Move the slider to the left to set the transparency value to opaque (not transparent) or to the right to set the transparency value to fully transparent.

Note: This option is not recommended for Windows Vista and Windows 7


Colors and Fonts tab

On this tab, you can change the colors of the toolbar and bottons on it. To preview the changes, click on the “Preview” link, which will open the preview window.

Toolbar background

toolbar background color. You can set two different colors, and True Launch Bar will draw the gradient background. You can also choose the vertical or horizontal gradient through the “Vertical gradient” option.

Buttons background

defines button colors when the mouse pointer is over the button. You can set two different colors, and True Launch Bar will draw the gradient button. You can also choose the vertical or horizontal shading through the “Vertical gradient” option.

Separator colors

Separators consist of two lines, and you can change colors for each of those lines.

Text color

Changes button text color.

Text glow

Changes the button text glow color.

Button border

Changes button border color when the mouse pointer is over the button. This color is only used when the button color is selected.

Highlight text

Changes button text color when the mouse pointer is over the button.

Toolbar buttons font

Changes font for toolbar items. To change font, select the new font in the “Font” field, select the font size, and set the desired attributes: bold and / or italic.


Sizes

Sizes tab

This tab allows managing sizes of toolbar objects.

Buttons margin width

Blank space (in pixels) added to button on the left and on the right. For instance, if you set this value to 6, three blank pixels will be added to the button on the left and on the right of it.

Buttons margin height

Blank space (in pixels) added to button on the top and on the bottom. For instance, if you set this value to 6, three blank pixels will be added to the button on the top and on the bottom of it.

Max width on buttons with text

You can limit the greatest width of a button with text that may appear on the toolbar. Set the width limitation for large and small buttons separately. Text will appear below the button for the large buttons; for the small buttons, text will appear on the right of the icon.


Menu

Menu page

The Menu page contains the settings in charge of the menu appearance. To preview the changes you have made, click on the “Preview” link. The Menu page contain some tabs with the settings:

  • General
  • Scrolling
  • Captions
  • Effects
  • Colors
  • Fonts
  • Sizes


General

General tab

Show menu caption

Hide/Show menu caption. The caption appears on the left of the menu. The caption comprises of the menu name, and it can be enhanced by adding the number of items on that menu.

Show items number

If enabled, True Launch Bar will display the number of items on the menu caption:

That number will also include the hidden items count.

Show large icons

This option sets the program to display the large icons by default. Although you may edit the icon size for each menu individually, this option allows changing the size for all menus, which used to have the standard icon size.

Flat menu items

This option is only available with Windows XP visual styles enabled; it defines the style for a selected menu item:

"Flat menu items" is turned off | "Flat menu items" is turned on

Show menu item hotkey

This option enables/disables showing keyboard shortcuts that launch menu items instantly. The keyboard shortcuts appear on the right of a menu item:

Caption text to the top

If this option is enabled, True Launch Bar will print caption text from top to bottom; the program will print the text from the bottom up otherwise:

"Caption text to the top" is turned off | "Caption text to the top" is turned on

Do not cut off caption

This option enables or disables cutting caption text. If the option is enabled, True Launch Bar will always show the menu caption in full, adding blanks on the menu where it is necessary:

"Do not cut off caption" is turned off | "Do not cut off caption" is turned on

Show shadow

This option enables or disables dropping shadow from menu. The shadow will only appear under Windows 2000/XP operating systems. If you are using Windows XP, you will need to allow dropping shadow in your Windows settings before this option is enabled.

Flat menu (XP Style)

If the “Flat menu” option is disabled, menus will be displayed with the 3D border, just like the regular Windows 9x/2000 menus. In Windows XP, on top of all that, the menus stop using Windows XP visual styles.

"Flat menu" is turned off | "Flat menu" is turned on

We recommend enabling this option if you are using Windows XP.

Animate collapse/expand

True Launch Bar allows creating collapsible groups of buttons between separators. This option allows managing the behavior of the collapsing or expanding. When this option is enabled, the groups will collapse or expand smoothly.

Run submenu on mouse click

When you click on a multiple-level menu, it usually opens (expands). If you enable this option, True Launch Bar will open the submenu folder in Windows Explorer when you click on the menu. You can still expand a nested menu in True Launch Bar by either placing the mouse pointer over the submenu button or by highlighting that button and then pressing the right arrow key on the keyboard.

Run submenu on ENTER

When you hit ENTER on a multiple-level menu, it usually opens (expands). If you enable this option, True Launch Bar will open the submenu folder in Windows Explorer when you hit ENTER on it. You can still expand a nested menu in True Launch Bar by either setting the mouse pointer over the submenu button or by highlighting that button and then pressing the right arrow key on the keyboard.

Titles align

This option defines alignment for titles. It may accept these values:

Center | Left | Right

Columns

This option sets the default number of columns on the menu.

Always show as file

True Launch Bar usually shows ZIP files as menus if Windows Explorer also shows them as folders (Windows XP). The same way, some other files (usually compressed archives) may appear as menus. In the “Always show as file” option, define the list of extensions that are to be shown as files and not as menus. Separate the extensions with a semicolon and place a dot before the extension. Example: .zip;.cab


Scrolling

Scrolling tab

Scrolling type

Defines how the menu will scroll when its content does not fit in the screen area. The following scrolling types are available:

Scrollers only | Scrollbar only | Scroller and Scrollbar

To scroll the menu with the scroller, place the mouse pointer over the menu. The speed and the smoothness of the scrolling are defined by the “Scroll value” and “Scroll time” parameters.

Scroll value

The number of pixels the menu will scroll per step. The less this value is, the smoother the scrolling will be.

Scroll time

The pause in milliseconds between two scroll steps. The less this value is, the slower the menu will move, and the smoother the scrolling will be.


Captions

Captions tab

On this tab you can select buttons to show in the menu caption. The buttons in the menu caption will allow you to use options without opening the context menu. From the corresponding lists you can also select various shortcuts to show in either the regular menus and the Torn Off Menus. Mark the check box on the right side of a button to show it on a menu. You can also change the order of the buttons on lists by dragging and dropping them.


Effects

Effects tab

On this tab you can adjust transparency of the menu and also select desired animation for the menus.

Use Glass Effect

If this option is turned on then True Launch Bar apply Aero Glass effect to the menus.

Menu Transparency

You can set transparency ratio for the menu. To set the transparency and grab and drag the slider until the desired transparency is set. Move the slider to the left to set the transparency value to opaque (not transparent) or to the right to set the transparency value to fully transparent.

Opacity can be adjusted for the background of the menu only. The text and the icons will not change their opacity. Also, some skins may have fixed preset opacity. In this case the level of the opacity cannot be changed, however, the opacity can be enabled or disabled altogether. To disable the opacity, move the slider to the left, to enable it, move the slider to the right. When using a transparent menu, the text on the menu may blend with the desktop background and become illegible. You can fix it by setting up a glow color for the elements of the menu.

Menu Animation

You can select one of the two animation types: Blend and Slide. You can also specify the duration of animation. The recommended value is 200 milliseconds, since higher values can considerably impact the performance of the program. You can select different animation types for the first-level menu and other menus.


Colors

Colors tab

On this tab, you can change the colors of the menus. To preview the changes, click on the “Preview” link, which will open the preview window.

Predefined colors

Press the "Predefined colors" shortcut to apply or manage color schemes.

  • Save current colors - saves the currently selected colors into new color scheme. True launch bar will ask you for color scheme name
  • Manage Colors - shows the dialog box where you can select and delete the saved color schemes.

Click the color scheme name to apply new colors.

Menu Background

The color of the menu background.

Highlight Background

Selected menu items color. You can set two different colors, and True Launch Bar will draw the gradient selection. You can also choose the vertical or horizontal shading through the “Highlight vertical gradient” option.

Border Color

Menu border color. This color is only applied when the “Flat menu” style is used.

Caption Color

Menu caption background shading color. You can set two different colors, and True Launch Bar will draw the gradient caption. You can also choose the vertical or horizontal shading through the “Caption vertical gradient” option.

Separator colors

Separators are made of two lines; you can change color for each of those lines.

Text

Menu items text color.

Text glow

Menu items text glow color

Highlight text

Selected menu items text color.

Caption text

Menu captions text color.

Caption text glow

Menu captions text glow color.

Title Text Color

Separators (titles) text color.

Title Text Glow

Separators (titles) text glowcolor.


Fonts

Fonts tab

On this tab, you can change font for menu items (Menu items font), menu captions (Menu caption font), and titles (Titles font). To change font, select the new font in the “Font” field, select the font size, and set the desired attributes: bold and / or italic.

To see how True Launch Bar will look with the new fonts, click on the “Preview” link.


Sizes

Sizes tab

This tab allows managing sizes of various menu objects.

Max menu width

The greatest width (in pixels) menus may have. True Launch Bar will limit the menu width with this value. If the menu text does not fit in this width, it will be cropped and appended with the omission.

Max menu height

The greatest height in pixels the menus may have. True Launch Bar will limit the menu height with this value. If you set this value to zero, True Launch Bar will limit the menu height by the resolution of your screen. If all menu items do not fit in this height or the screen resolution, depending on the selected view mode, True Launch Bar will draw additional columns and/or show the scrollers and/or the scrollbar.

Menu item margin height

Blank space (in pixels) added to menu item on the top and on the bottom. For instance, if you set this value to 6, three blank pixels will be added to the menu item on the top and on the menu item of it.

Left/Right margin of icon view menu

Margin (in pixels) on buttons’ left and on the right edges. This option can be enabled only with the “Icons only” or “Icons with text” view mode.

Restore default sizes

Press this button to reset all sizes into the default values.


Mouse

This page gathers the options that are in charge of True Launch Bar’s behavior on various mouse commands.

Let’s define a couple of terms to be used in this chapter.

  • First-level menu is the menu that appears as a button right on the toolbar.
  • Submenu is the menu included in other menu.

Auto popup next first-level menu

You have opened the first-level menu, and then moved the mouse pointer to the next menu button on the toolbar. When the “Auto popup next first level menu” option is enabled, True Launch Bar will open the menu under the mouse pointer. Otherwise, you will need to click on the button to open that menu. You can set the delay (in milliseconds) before opening the new menu. This delay is to be set in the corresponding “timeout” field.

Close menu if mouse is over other toolbar button

This option completes the “Auto popup next first-level menu” option. If the setting is disabled, when you move the mouse pointer to the next button that is not a menu while a first-level menu is open, the open menu will not close. If you enable this option, that menu will close. However, as soon as you move the mouse pointer to any menu button, True Launch Bar will open that menu.

Popup menu on mouse hover

When the “Popup menu on mouse hover” option is enabled, True Launch Bar will open the menu as if you had just placed the mouse pointer over a menu button on the toolbar. If this option is disabled, you will need to click on the button in order to open the menu. You can set the delay (in milliseconds) before opening the menu. This delay is to be set in the corresponding “timeout” field.

Run shortcuts on mouse hover

When the “Run shortcuts on mouse hover” option is enabled, True Launch Bar will run the shortcut/file as soon as you place the mouse pointer over a button or menu item. If this option is disabled, you will need to click on the item to complete this action. You can set the delay value (in milliseconds) before running the item. This delay is to be set in the corresponding “timeout” field.

IMPORTANT! Hold the SHIFT key pressed to temporarily disable the automatic opening of items.

Auto close menu on mouse leave

Automatically closes the menu when the mouse pointer is outside the menu boundaries. You can set the delay value (in milliseconds) before closing the menu. This delay is to be set in the corresponding “timeout” field.

Use auto-close only for menus

This option completes the “Auto close menu on mouse leave” option. If the setting is enabled, the menu will automatically close regardless to position of the mouse pointer unless the pointer is within the menu. If you disable this option, the menu will close automatically only when the mouse pointer is outside the menu and True Launch Bar.

Popup submenu on mouse hover

This option is identical to “Popup menu on mouse hover”, but it applies to submenus only. If you want to change the delay before opening a submenu, enable the “Custom submenu show delay” option and set the delay in the corresponding “delay time” field.


Context menu

Use this page to select a context menu template for various objects and change the context menu appearance.

Menu templates for

You can set a custom context menu for the following objects:

  • Buttons – buttons on the taskbar and on menus that are not virtual folders.
  • Virtual folders – virtual folder menu items and virtual folders.
  • Plugins – plugins context menu.
  • Empty space – blank space within a menu; e.g., menu title.

Show icons in the context menu

This option enables or disables displaying icons on the context menu.

Show full shell menu

If this option is enabled True Launch Bar will show the complete context menu, including items like Copy, Paste, Properties, etc. For virtual folders, the complete context menu will be shown at all times. Please note: Windows Explorer’s menu will be added to the context menu when the chosen template permits.

Show keyboard shortcuts

Turn on this option to show the keyboard shortcuts in the context menu.


Tips

Tips page

This page gathers the options for managing popup tips. The Tips page contain some tabs with the settings:

  • General
  • Appearance


General

General tabs

This tab gathers the options for managing popup tips.

Tips style

Tips style (appearance). The tips can be of these three types:

  • Rectangular – regular rectangular tips.
  • Rectangular with rounded corners – rectangular tips with rounded corners.
  • Balloon – balloon-shaped; the tips look like tips in Windows XP.

If you select “Disable tips”, True Launch Bar will not show tips.

Show tip

Delay in milliseconds before True Launch Bar will display a tip.

Close tip

Time in milliseconds for how long True Launch Bar must hold a tip displayed. When this time is over, the tip will be closed. If you set this value to zero, the tip will remain open until the mouse pointer leaves that button’s boundaries.

Show tips in menu

Enable/disable displaying tips for menu items.

Show icons on tips

Enable/disable displaying button icons on tips.

Show last run time in tooltips

Show time the shortcut was last run on tips.

Show runs count in tooltips

Show the total number of times the shortcut was run.

Maximum tips width

The greatest width tips may have. True Launch Bar will try to fit the tip in this boundary. If the tip text does not fit in this width, it will be split to multiple lines.


Appearance

Appearance tab

Tips font

You can change font for the popup tips. To change font, select the new font in the “Font” field, select the font size, and set the desired attributes: bold and / or italic.

Tips transparency

You can set transparency ratio for the popup tips. To set the transparency, check the box by the “Use transparency” option and then grab and drag the slider until the desired transparency is set. Move the slider to the left to set the transparency value to opaque (not transparent) or to the right to set the transparency value to fully transparent.


Auto sensing

Auto sensing page

The Auto-Sensing feature will let you create a toolbar with the content that varies depending on the running or active programs. Let’s define a few terms to be used in this chapter:

  • Workspace is the toolbar folder True Launch Bar is to switch to. Workspace as well includes the list of programs that will trigger the switching between different workspaces.
  • Programs to activate workspace – list of programs that activate current workspace. A program on the list may have the two attributes: “When run” and “Active window”. On “When run”, True Launch Bar will activate the selected workspace as soon as the selected program is launched. On “Active window”, the workspace will trigger when any window of the specified program gets the focus (becomes active.)
  • Common programs – programs that are common for all workspaces. True Launch Bar will not switch current workspace when you switch to a program on the “Common programs” list. This feature is handy for adding frequently used programs like Calculator, Notepad, etc.

Using Auto-sensing

To begin using the Auto-Sensing feature, we will need to categorize your activities. For example:

  • Working with documents.
  • Surfing the Web.
  • Processing photographs.
  • Processing videos.

Before creating workspaces, it is helpful to create four (in our case) toolbars (see Toolbars), then switch to each of the toolbars using the “Switch Toolbar” item on the context menu and add the necessary shortcuts and menus to each toolbar.

Once we are done setting up the toolbars, we will need to create a workspace for each activity. Click “New…” by the list of available workspaces. That will open the workspace creation wizard. In the workspace creation wizard, enter the workspace name and path to the toolbar folder you have set a step ago.

On the second page of the wizard, you can set a hotkey, which will switch True Launch Bar to this workspace, and the timeout, after which True Launch Bar will return to the regular toolbar content.

If you do not want to use hotkeys for switching between workspaces, simply click “Next”.

On the next page, select the programs to be used, for example, for working with documents.

This way we will create all four of our workspaces and set the following applications for our activities:

  • Working with documents – winword.exe (MS Word), excel.exe (MS Excel)
  • Surfing the Web – iexplore.exe (Internet Explorer)
  • Processing photographs – Photoshop.exe (Adobe Photoshop) , PhotoshopAlbum.exe (Adobe Photoshop album)
  • Processing video – moviemk.exe (MS Movie Maker)

This is what we will finally have. As soon as we open Microsoft Word and begin working with documents, True Launch Bar will change the toolbar content to the content we have prepared for working with documents. This workspace may include shortcuts for launching other office applications, virtual folders with lists of documents, and much more.

When we launch our favorite Web browser, Internet Explorer, True Launch Bar will show the toolbar with “Favorites” and Net Monitor plugin that monitors network traffic.

And so on.

Thus, with the auto-sensing feature, you significantly improve the efficiency of your computer-aided work simply by keeping only the necessary tools before you while you are working with specific applications.


Hotkeys

This page displays the list of keyboard shortcuts used in True Launch Bar.

Edit...

Changes selected hotkey. You will be asked to choose a new keyboard shortcut for the selected action.

Delete...

Deletes selected hotkey.

Show button menu

Opens a menu with the shortcut for selected hotkey.


System Inforation

System Inforation page

This page shows brief information on your system and the list of available plugin and their versions. Clicking on the “Generate Bug Report” button will open a new e-mail message window with the filled system information. Use this window to describe your problem and send a message to the support service.


Registration

Registration page

This page displays registration status and name of the person this copy of True Launch Bar is registered to. When you click on the “Enter Key” button, the program will ask you to enter the registration data you receive upon submitting the registration fee. Clicking on the “Buy Now!” button will open the purchase page on our website, where you can submit the registration fee and receive the registration key.

This tab also provides links to our technical support website (Online support) and e-mail (Support by E-Mail.)


About

This tab displays version number and owner information for this copy of True Launch Bar. It also has a number useful links to online resources on True Launch Bar.


Context Menu

All operations over True Launch Bar are done through the context menu. The context menu can be opened by right-clicking on any button or any other object. The majority of menu items change settings just for the object you right-clicked on. Please keep in mind that context menus may significantly differ for different objects, depending on the menu template selected in the context menu settings. Right-clicking on an item while holding the SHIFT key pressed will open the default context menu that contains all available commands regardless to current template settings.

This figure displays an exemplary grouping of menu items by action object:

  1. So-called “Shell Menu” is the regular menu, which you see when you right-click on a file or folder in Windows Explorer. The items of this menu apply to the button you right-clicked on. The action is performed on the system level; i.e. selecting “Delete” will actually delete the file or folder from disk. Please use this group of items carefully. You can cut the number of menu items in this group by disabling the “Show full shell menu” option on the “Context menu” tab in the settings dialog. This way, the shell menu items from “Send To” down will not be displayed, although all other important items will remain on the menu.
  2. Button Menu – this group contains the menu items that depend on the button type (shortcut, menu, plugin, etc.) For plugins, this group contains the plugin management menu; for shortcuts, it has the “Find target” item, which opens Windows Explorer with the target file (the shortcut is referring to) selected.
  3. Common – common menu items applicable to the entire menu, in which the context menu was open, or to the toolbar or True Launch Bar general settings.
  4. Common for buttons – common operations for all buttons within a toolbar or menu. These commands are applicable to the selected button and allow changing the button appearance, renaming or deleting it, and so on.

Let’s take a closer look at all the menu items (commands):

  • Run All – runs all visible shortcuts within the menu. This operation is available for menus only.
  • Open – opens Windows Explorer with the selected folder. This command is available for menus only.
  • TLB Settings... – opens the True Launch Bar settings window.
  • Switch toolbar – submenu with a list of predefined toolbars. If you select a toolbar on the list, True Launch Bar will switch the toolbar content to the new folder. Read more on creating new toolbars in article Toolbars
  • Lock buttons – locks buttons on a toolbar and / or menu. The lock action depends on the settings (Button locking). It may lock buttons either on the entire toolbar and all of its menus or just on the active menu or toolbar.
  • New – opens a submenu with the list of objects that can be added to the toolbar or menu. Once created, the new object will be inserted before the button you right-clicked on. If the context menu was opened for a blank spot on the menu or toolbar, the new object will be added to the end of that menu or toolbar. The “New” item’s main submenu contains the list of available plugins that can be added to True Launch Bar. However, a number menu items on the “New” submenu are independent of the available plugins:
    • Menu – creates new menu.
    • Separator – creates new separator.
    • Title – creates new separator with text.
    • Shortcut – opens Windows standard shortcut creation dialog.
    • More plugins... – opens the download page on our website with more plugins.
  • A rrange Icons By – a submenu with the list of available arrangement modes. Read more on arranging buttons in article Arranging. The “Auto arrange” menu enables the automatic arranging, when all the new files / objects will be arranged automatically, according to the rule selected on the menu.
  • View – this submenu allows changing the view of a menu (View Modes), size and appearance of menu icons, and set the number of columns to appear in the menu. There is also the “Show Text” command on this menu, which enables showing text labels for buttons on the toolbar.
  • Refresh – refreshes the content of active menu or toolbar.
  • Show hidden – submenu with the list of hidden items. You can select “Show All Hidden” to enable showing all hidden buttons or select the individual buttons you want to show. This command does not appear if the toolbar does not contain hidden items.
  • Customize Menu... – opens the menu settings dialog (Customizing Menu ).
  • Appearance – submenu with the list of commands for changing the button appearance:
    • Change Icon – opens a dialog window for selecting a new icon for the button (read more in article Editing icons .)
    • Reset Icon – resets selected icon to default.
    • Change Description – changes the tip text for a selected button (read more in article Editing popup tips text .)
    • Set Image – sets an icon for the selected button. There must be an image for all three states of the icon (read more in article Using custom button appearance .)
    • Text Color – changes button text and color.
    • Default Button – resets button icon and tip to default.
    • Text Label – enables displaying text label for the button at all times.
    • Icon – enables displaying icon for the button at all times.
    • Icon and Text – enables displaying icon and text label at all times.
    • Enable Tip – enables showing tips for the button.
    • Move Right – moves all buttons from the active one and on to the right side of the toolbar.
    • Button Properties – opens the dialog window for fine adjustment of all parameters for a button or group of buttons on the menu or toolbar (read more in article Customizing buttons appearance ).
  • Related – a submenu for opening links related to the selected button. To manage related links, click “Manage Related...” (read more in article Related Links )
  • Hotkey... – opens the dialog for setting a keyboard shortcut to open the selected button / menu instantly.
  • Hide – hides button. When a button is hidden, it will not appear on the menu or toolbar. At the same time, its files are not physically removed from disk.
  • Delete – physically removes the button and file or folder attached to it from disk. Deleting an existing virtual folder button will not physically delete the folder attached to that button. However, if you delete something within that virtual folder – that will physically delete the files and folders from disk. True Launch Bar places the deleted files to Recycle Bin, so you can restore deleted files later.
  • Rename – renames selected button. Opens the dialog window where you can enter the new item name. Depending on the settings (see the “Do not change file type at rename ” option), you can change either the file name or both the name and the extension.
  • Protect – enables password-protecting the actions performed over a button. You can password-protect the launch of a program, editing the button settings, deleting, and so on. On an attempt to perform a protected action, True Launch Bar will prompt for the password (see Password-protecting buttons ).
  • Open in Explorer – Opens Windows Explorer with the folder that contains the file related to the button and selects that file.
  • Properties – opens the standard properties window for the file related to the button. For plugins, this command opens the plugin settings window.


Editing icons

True Launch Bar allows changing icon for just about any button. To change icon, right-click on the item to be edited, then point to the “Appearance” item on the context menu, and then select “Change Icon”. True Launch Bar will open the icon selection window:

To select a file or folder with icons, click on the “Browse for file...” button to select an icons file or click on "Browse for folder..." button to select the folder with icons. True Launch Bar supports the following icon file formats: ICO, ICL, DLL, EXE, CPL, BMP, PNG, GIF, and JPG.

The selected file or folder will appear in the “File name” field, and the icons from the file or folder will appear on the “Select the icon” list. Select the icon to be set for the button and then click “OK”.

You can change the icon size by selecting the desired size on the “Icon size” popup list. This size will not affect the size of the icon on the button.

To find necessary icons quickly, you can bookmark frequently used icon files and folders. To create a bookmark, click on the "Bookmarks" button, then select “Add bookmark”, and then enter the bookmark name. True Launch Bar will create a bookmark to the file / folder. To quickly open a bookmark, click on the "Bookmarks" button and then click on the desired bookmark. To delete a bookmark, select the bookmark to be deleted and then click “Delete bookmark”.

By default, True Launch Bar already has a bookmark to Windows basic icons, such as “Standard Windows Icons”. The menu also has the “Saved Icons” bookmark with all icons stored with the toolbar. To save an icon with toolbar, enable the “Save icon with toolbar” option. True Launch Bar will copy the file to the toolbar folder. If the folder already contains a file with that name, True Launch Bar will ask whether it should rename the new file or overwrite the existing file.

Saving icon file with toolbar can be useful for moving the settings between computers and for restoring the settings from backup, since the icons will not depend on the physical location of files on disk.


Editing popup tips text

True Launch Bar allows you to easily edit texts to appear button popup tips. To edit a text, right-click on the button to be edited, then point to the “Appearance” item on the context menu, and then select “Change Description”. True Launch Bar will display the dialog window where you can edit the tip text:

You can edit the caption and the description texts separately. To edit a tip caption, select “Custom” in the “Caption” group and then enter the caption in the “Enter custom caption” field. If you want to remove caption from the tip, select “Hide” in the “Caption” group. If you select “Default”, True Launch Bar will show the default caption, which normally repeats the button name.

To edit a tip description, select “Custom” in the “Description” group and then enter the description in the “Enter custom description” field. Just as it was described in the previous paragraph, the “Hide” option removes description from the tip, and the “Default” option shows the default description.

Enhanced tips

True Launch Bar supports basic HTML tags in tips text, which you can use to enhance the formatting of the text. The supported tags are:

Tags | Description
<b>text</b> | "text" will appear in bold
<i>text</i> | "text" will appear in italic
<u>text</u> | "text" will appear underlined
<s>text</s> | "text" will appear strikeout
<ct=0000FF> | The color of the text following this tag will be BLUE. You can set any other color in the RGB format.
<cb=00FFFF> | The background color of the text following this tag will be CYAN. You can set any other color in the RGB format.
<al> or <al_l> | Text will be aligned by the left edge.
<al_c> | Text will be centered.
<al_r> | Text will be aligned by the right edge.
<hr=100% > | Draws a horizontal line for the entire tip width. If you set a different percentage, the line will be smaller.
<hr=50> | Draws a horizontal line of 50 pixels length.
<t> | Tabulation. Use tabulation to create the tabular appearance.
<br> | New line.


Related links

True Launch Bar allows setting additional links for each button. Those can be links to related Web sites or links to other programs, folders, documents related to the button. To open related links, right-click on the True Launch Bar button and then click on the “Related” item on the context menu that appears. You will see the list of links related to the selected button. Clicking on a link will trigger the action assigned to the link. To add, edit or delete related links, select the “Manage related” item on the menu:

To add a new link, click on the “New” button, then enter the link name in the “Name” field and then enter the actual link in the “Link to” field. The “Link to” field may contain an Internet address, e-mail address or full path to any program on disk.

To delete a link, select the link to be deleted on the list and then click on the “Delete” button.

To edit a link, select the link to be edited on the list and then edit the link name in the “Name” field or edit the link address in the “Link to” field.

You can import or export related links by using the “Import” and “Export” button respectively.


Customizing buttons appearance

To customize the appearance of a button or group of buttons on a menu or on the toolbar, right-click on the button to be customized, then point to the “Appearance” item on the context menu, and then select “Button Properties”:

The left part of the dialog window displays the list of buttons available on the toolbar or on the menu. You can select several buttons at once by holding the CTRL key down and clicking on the buttons on the list. The button properties that have been edited appear in bold.

The following properties can be edited:

  • Button label – sets description text for the button. If this field is blank, True Launch Bar will use the button name for description. You can enter any text in this field, no restrictions apply to it.
  • Right aligned text – text to appear on the right of the main text. This place normally contains keyboard shortcut set for the item.
  • Icon Size – sets size for the icon on the button. Enter zero to set the default icon size.
  • Default view – sets the default view for the button; the default view is defined in the menu settings.
  • Show text label – enables showing text label for the button.
  • Show icon – enables showing icon for the button.
  • Align – sets alignment for the text label. “Left” will align the text by the left edge of the button, “Right” will align the text label by the right edge of the button, and “Center” will align the text by the center of the button.
  • Bold – displays the label text in bold.
  • Italic – displays the label text in italic.
  • Text color – sets the label text color.
  • Default command – sets the shell command to be executed when the button is clicked on. This property allows you to customize the default behavior of the button. For instance, you can set playing all the music in the folder in your favorite media player for folders with music. Another example – you can set the Empty action for the Recycle Bin shortcut and empty Recycle Bin when the Recycle Bin button is clicked on. Please note: shell commands only can be entered in this field. To see the list of all shell commands, click on the “…” button on the left of the field.
  • Middle-click command - same as default command but TLB runs this command on middle mouse button click.
  • Context menu – sets the context menu for the button.
  • Hidden – hides the button.


Using custom button appearance

True Launch Bar allows setting custom appearance for buttons. To set a custom image for a button, right-click on the True Launch Bar toolbar, then point to the “Appearance” item on the context menu, and then select “Set Image”:

In the “Image file” field, enter full path to the button image. Click on the “…” to select the image file in the explorer window. Enable the “Save image with toolbar” option if you want to save the image with the toolbar.

In the “Preview” area you can check how the button will work.

The button image file must contain an image for all three button states: “Normal”, “Pressed”, and “Active”. These images must be of the same width and must follow one another vertically:

When a button image is set, all other styles applicable to the button will be ignored. Text labels for the button will also be ignored.


Password-protecting buttons

To protect a button with password, right-click on the button to be protected and then select the “Protect” item on the context menu that appears:

In the “Old password” field, enter the current password set for the button. Leave this field blank if the button is not password-protected yet. In the “New password” and “Confirm new password” field, enter the new password you want to set for the button. These fields must contain the same password.

You may password-protect a button from the following actions / modifications:

  • Execute – protects from launching button’s default command.
  • Hide/Unhide – protects from hiding or showing button.
  • Delete, Rename – protects from deleting or renaming button.
  • Icon, Description, Properties – protects button properties from modification.

On an attempt to perform a protected action, True Launch Bar will ask to enter the password.

IMPORTANT! This protection is not strong and may not be considered a serious barrier for skilled users.


Using separators

Separators are buttons of a special type, which appear as vertical or horizontal bars. Please read article Creating Separators for more information on creating separators.

Separators are helpful for grouping different shortcuts within a menu.

In this example, we have organized our shortcuts in three groups:

  • Players
  • Open Office
  • Graphics

For the better clearness, we can add text to separators. Please note that arranging buttons will arrange them within a group only, i.e. items will only be arranged between two separators or between a separator and the top or bottom of the menu.

If the menu view mode is set to “Icons only” or “Icons with text”, the separators will be drawn to the full width of the menu, just like they do for the default view mode:

Separators add a number of items to the context menu:

  • Change title – changes the separator title. Leaving this field blank will create a separator with no text.
  • Enable Expand/Collapse – enables collapsible separators. When this option is enabled, the “-” button appears on the left of the separator. Clicking on that button or on the separator will hide all items within that group, and the separator button will appear as “+”. Clicking on the “+” will show all items within that group again.
  • Enable Run All – allows running all applications within the group. The Run button will appear on the left of the separator bar. Clicking on that button will run all the buttons within that group just as if you had run applications within the group one by one. This is helpful when you need to run multiple applications at the same time.
  • Auto collapse – enables the automatic collapsing of a group when another group is expanded or when the menu is closed.

This figure displays the collapsed “Open Office” group, Collapse/Expand, and the Run All buttons.

As it was mentioned above, when a group is collapsed, its buttons become hidden and appear on the “Show Hidden” item of the context menu. A great effect can be created if you enable showing one or a few buttons from a collapsed group. When the group is expanded, the visible buttons become hidden, and the hidden ones will become visible. Thus the buttons will toggle every time you click on the item.


Recently Accessed shortcuts menu

True Launch Bar allows you to create a special menu that contains a number of shortcuts accessed recently. To create this menu, right-click on the position where you want to create the menu, then point to “New” on the context menu that appears, and then select “Recently Accessed”. True Launch Bar will create the menu. You can change that menu icon the same way as you would do it for a regular menu. The “Recently Accessed” menu is literally the same as the regular menus; you can also set various view modes, delete the unnecessary items, and do more with that menu. All shortcuts within that menu are arranged automatically, and you can choose the arrangement rule between “Last run time” and “Runs count”. The maximum number of items allowed in this menu is defined by True Launch Bar Settings .

Only one “Recently Accessed” menu can be created.


Using keyboard

If you prefer to avoid using the mouse in your work, True Launch Bar will offer you an excellent keyboard-based work environment.

Any menu on the toolbar can be opened with a hotkey. True Launch Bar allows using all hotkey modifiers, including <WIN> or using no modifiers at all. Use the UP and DOWN arrow to navigate through the menu. ENTER will launch the selected shortcut or open the submenu. A submenu can also be opened by pressing the RIGHT arrow key. To close a menu, hit ESC. To open the previous or next menu, hold the CTRL key down and use the LEFT/RIGHT arrow keys.

You can type the first few letters of a button text to quickly select that button. If the selected button is a menu, True Launch Bar will open that menu. You can also use accelerators to enhance menus.


Backup toolbar

You can backup your toolbar for future use or for transferring your shortcuts, menus and plugins to the other computer. the backup File contain all of the toolbar objects, except the content of the virtual folders, and all of the toolbar settings. Please note that if you have changed some objects’ icons or set overlay images, True Launch Bar will normally not save them in the backup file. If you want your icons and overlay images to be saved in the backup file, you must enable the “Save with toolbar” option when you change the icons and / or overlay images. Thus, True Launch Bar will copy the necessary files to the toolbar folder and add them to the backup file when it is created.

To backup your toolbar open True launch Bar Settings dialog box, select Options tab and click the Backup link. True Launch Bar will open the Backup Toolbar wizard:

On the first page select the name for the backup file. You can press the Browse button to select file with mouse or just time the full path into the text box. Press Next to start the backup process.

True Launch Bar will show the finished page is the backup was successful:

Check the "Open folder with backup file" check box and press Finish to open the Windows Explorer with the backup file selected.


Restore toolbar

To restore your toolbar open True launch Bar Settings dialog box, select Options tab and click the Restore link. True Launch Bar will open the Restore Toolbar wizard:

On the first page select the name for the backup file. You can press the Browse button to select file with mouse or just time the full path into the text box. Press Next to start the backup process.

IMPORTANT! Restoring a toolbar from backup, will remove all the toolbar content and replace it with the backup data. If you have made any changes since the last backup operation, those changes will be discarded.


True Launch Bar Components Manager

TLB Components Manager is used for adding or deleting individual True Launch Bar components. This utility allows checking True Launch Bar website for updates and downloading and installing the updates. To open TLB Components Manager, use the shortcut in the “Programs” group of the “Start” menu or click on the “Check for Updates” shortcut in the True Launch Bar Settings window .

Installed components

Press Installed components link to open the page with the list of the installed True Launch Bar components. You can select the installed components and press "Uninstall" button to remove the selected components.

Check for updates

Press "Check for updates" link to connect to the True Launch Bar web site and check for updates nd new components. After downloading the components information, True Launch Bar will show the page with available updates:

Select the components you want to install and click "Install" button. True Launch Bar will download and install the selected components. Some components can show the installation dialog box to query additional information.

Also you can hide some components if you don't want to install them. Select the components you want to hide and press the "Hide" button. In the future you can restore the hidden components.

Restore hidden

Click the "Restore hidden" link to open the page where you can restore the previously hidden components. Select the components you want to restore and press the "Restore" button. Now the restored components appear on updates page.

Change settings

This page provides the options for setting up the Internet connection and some othe options.

Internet Connection

This section provides the options for setting up the Internet connection:

  • Connection type – connection type. One of the following options can be selected:
    • Direct connection – connect to the Internet directly, not using proxy servers.
    • Use Internet Explorer Settings – use connection settings from Internet Explorer. If you use a proxy server, enter your login and password for accessing the proxy server.
    • Via named proxy – use a specific proxy server. Enter the proxy server connection settings.
  • Proxy server – proxy server address.
  • Port – proxy server port.
  • Proxy login – user name for accessing the proxy server.
  • Proxy password – password for accessing the proxy server.
  • Select currently not installed components – marks new components that are to be installed.
  • Clear downloaded files – clears cache from the received files.
  • View downloaded files – opens the downloaded files folder.

Choose what to install automatically

Here you can select what updates to install automatically. The automatic installation available only in the sheduled or silet mode. If you click the "Check for updates" link True launch Bar just mark the items automatically.

Beta versions

Choose how to handle the beta versions of the components

Schedule automatic updates

True Launch Bar components manager uses the standard Windows Schedule service to check for updates.


Solutions for Typical Problems

The toolbar height is greater than the standard when True Launch Bar starts

This often occurs when the non-standard Windows XP themes are used. To cut the toolbar height, reduce the size of buttons on the toolbar. That can be achieved through the “ Toolbar|Sizes ” options of the “TLB Settings” window. To change the button size, reduce the “Height” value in the “Button margins” group. You may also want to cut the “Width” value to preserve the square form for the buttons.

The “invalid height” problem may also be related to the excessive sizes of a button on the toolbar. Maybe a plugin icon height is too great. If that’s the case, try changing the skin used in that plugin.

Hotkeys in Virtual Folders do not work after restarting

The content of virtual folders loads only when they are accessed for the first time. Right when you start your system, True Launch Bar does not “know” of the virtual folders content and cannot process those folders’ hotkeys. Once the folder has been opened, True Launch Bar will continue to process that folder’s hotkeys properly.

Virtual folders add the “Load on Startup” option to the “Appearance” item of the context menu. When this option is enabled, True Launch Bar will load the content of the virtual folder on startup, thus the hotkeys will be available immediately after restarting.

Unable to move buttons on the toolbar and/or menu to other locations

One of the causes for that may lie in the enabling of the button lockup option. Unlock the button, and you will be able to move them.

The second cause of the enabled automatic arranging of the buttons. In this case, the button gets back to its original position whenever you try to move it somewhere else. Right-click on the toolbar or menu, then point to “Arrange Icons By” on the context menu and then deselect the “Auto Arrange” item.

True Launch Bar does not appear after the computer is restarted

This is usually a result of some “optimizers” activities. Run the registry editor (regedit.exe) and open the registry key:

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer

Set to zero or delete the following values:

  • NoSaveSettings
  • NoCloseDragDropBands
  • NoMovingBands

Restart the computer. After the first time you reboot your computer, True Launch Bar may still not appear. Open True Launch Bar manually and reboot the computer again.

Unable to create a toolbar with two rows of buttons

This often occurs when the non-standard Windows XP themes are used or when the height of a plugin button is too great. True Launch Bar has the “ Sizing Step ” option to solve this problem. It is usually enough to set this parameter to zero, and True Launch Bar will automatically find the best height. If you are unable to get the second row of buttons, set the “Sizing step” value equal to the toolbar icon size and then add to this value until the height good enough for creating the second row of buttons.